Subject: New Module List Posted
From: [email-masked] (Andreas Koenig)
Date: 27 Nov 1997 10:51:16 GMT
Newsgroups: comp.lang.perl.announce

The Perl 5 Module List, v2.45
=============================

Last night I posted a new module list to the newsgroups
comp.lang.perl.modules, comp.answers, and news.answers. The HTML
version of the list has been uploaded to CPAN as well:

    http://www.perl.com/CPAN/modules/00modlist.long.html

This is the first posting after a longish break and I apologize to
those who have been relying on the quick turnaround of two module
lists per month. In the next days I'll experiment with an update mode
that changes the HTML version on a day to day basis, so the regular
postings are just snapshots of the HTML version. Stay tuned.

As usual, comments, corrections and suggestions are more than
welcome. Please mail them to

     [email-masked]

I believe that I have taken into account all mails we have received
since the last posting. If this is not the case, please let us know. A
big Thank You to all contributors helping us to keep the document up
to date and apologies to all who didn't get responses as quick as they
should.

Changes in the modules database
-------------------------------

2) Perl Core Modules, Perl Language Extensions and Documentation Tools
----------------------------------------------------------------------
Error          adpO  Error/exception handling in an OO-ish way    GBARR +
Opcode         Supf  Disable named opcodes when compiling code    TIMB !
Protect        bdpf  declare subs private or member               JDUNCAN +
builtin        adcf  A selection of subs destined for the core    GBARR +
less           Supf  Controls optimisations (yet unimplemented)   P5P !

3) Development Support
----------------------
Devel::
::Coverage     adpf  Coverage analysis for Perl code              RJRAY +
::DebugInit    i     Create a .gdbinit or similar file            JASONS +
::SmallProf    a     Line-by-line profiler                        ASHTED +

Test::
::Cases        cdpf  Run group of tests, each with a new perl     DOMO +

4) Operating System Interfaces
------------------------------
BeOS::
::base         a     Base perl5 functionality for the BeOS        TSPIN +

MSDOS::
::Attrib       bdcf  Get/set DOS file attributes in OS/2 or Win32 CJM +

PDA::
::PilotDesktop i     Managing Pilot Desktop databases software    JWIEGLEY +

Quota          Rdcf  Disk quota system functions, local & remote  TOMZO !

VMS::
::Priv         Rdcf  Access VMS Privileges for processes          DSUGAL +

5) Networking, Device Control (modems) and InterProcess Communication
---------------------------------------------------------------------
Net::
::DummyInetd   RdpO  A dummy Inetd server                         GBARR +
::PH           RdpO  CCSO Nameserver Client class                 GBARR +
::Ping         SupO  TCP and ICMP ping                            RMOSE !

RADIUS::
::Dictionary   bdpO  Object interface to RADIUS dictionaries      CHRMASTO +
::Packet       bdpO  Object interface to RADIUS (rfc2138) packets CHRMASTO +

6) Data Types and Data Type Utilities (see also Database Interfaces)
--------------------------------------------------------------------
Calendar::
::CSA          adcO  interface with calenders such as Sun and CDE KJALB +

Date::
::Interval     idpO  Lightweight normalised interval data type    KTORP !

Math::
::Interpolate  Rdpr  Polynomial interpolation of data             MATKIN +
::Polynomial   RdpO  Polynomials as objects                       MATKIN +

Tree::
::Balanced     Rdpf  Extract balanced-delimiter substrings        DCONWAY !

7) Database Interfaces (see also Data Types)
--------------------------------------------
AsciiDB::
::TagFile      adpO  Tie class for a simple ASCII database        JOSERODR +

DBD::
::Informix4    amcO  DBI driver for Informix SE 4.10              GTHYNI +
::XBase        cmcO  Complete XBase support: read, write, index   JANPAZ +
::mSQL         amcO  Msql Driver for DBI                          JWIED !
::pNET         amcO  DBD proxy driver                             JWIED +

LotusNotes     i     Interface to Lotus Notes C/C++ API           JONO +

Msql           RmcO  Mini-SQL, a light weight SQL database        JWIED !

OLE::
::PropertySet  aupO  Property Set interface                       MSCHWARTZ +
::Storage      aupO  Structured Storage / OLE document interface  MSCHWARTZ +

XBase          bdpO  Complete XBase support: read, write, index   JANPAZ +

8) User Interfaces (Character and Graphical)
--------------------------------------------
Gtk            cdcO  binding of the Gtk library used by GIMP      KJALB +

Tk::
::Axis         RmpO  Canvas with Axes                              +
::Dial         RmpO  Dial widget, alternative to the Scale widget TKML +
::Multi        adpo  Manages several text widgets under Tk        DDUMONT +
::ObjScanner   adpo  Tk widget to display object attribute values DDUMONT +
::OlWm         RmpO  Access OpenLook toplevel widget properties   TKML +
::Pod          RmpO  POD browser toplevel widget                  TKML +
::TiedListbox  RmpO  gang together Listboxes                      TKML +

X11::
::Fvwm         RdcO  interface to the FVWM window manager API     RJRAY !
::Lib          adcO  X11 library interface                        KENFOX +
::Motif        adcO  Motif widget set interface                   KENFOX +
::Toolkit      adcO  X11 Toolkit library interface                KENFOX +

9) Interfaces to or Emulations of Other Programming Languages
-------------------------------------------------------------
C::
::DynaLib      bdcO  Allows direct calls to dynamic libraries     JTOBEY +

10) File Names, File Systems and File Locking (see also File Handles)
---------------------------------------------------------------------
File::
::Spec         bdpO  Handling files and directories portably      KJALB +

11) Text Processing, Parsing and Searching
------------------------------------------
Chatbot::
::Eliza        adpO  Eliza algorithm encapsulated in an object    JNOLAN +

Parse::
::RecDescent   RdpO  Recursive descent parser generator           DCONWAY !
::ePerl        Rdcr  Embedded Perl (ePerl) parser                 RSE +

Text::
::BibTeX       adcO  Parse BibTeX files                           GWARD +
::Metaphone    cdpf  Convert a string to a metaphone value        MIKESTOK +
::Morse        cdpf  convert text to/from Morse code              JONO +

12) Option, Argument, Parameter and Configuration File Processing
-----------------------------------------------------------------
App::
::Config       bdpO  Configuration file mgmt                      ABW +

Getopt::
::Simple       RdpO  A simplified interface to Getopt::Long       RSAVAGE +
::Tabular      adpr  Table-driven argument parsing with help text GWARD +

15) World Wide Web, HTML, HTTP, CGI, MIME etc (see Text Processing)
-------------------------------------------------------------------
CGI::
::LogCarp      adpf  Error, log, bug streams, httpd style format  MIKEKING +

HTML::
::ParseForm    i     Parse and handle HTML forms via templates    NMONNET +
::TableLayout  bdpO  an extensible OO layout manager              SFARRELL +

MIME::
::Lite         RdpO  Single module for composing simple MIME msgs ERYQ !

Netscape::
::Server       adcO  Perl interface to Netscape httpd API         BSUGARS +

17) Archiving, Compression and Conversion
-----------------------------------------
Compress::
::Zlib         RdcO  Interface to the Info-Zip zlib library       PMQS !

Convert::
::EBCDIC       adpf  ASCII to/from EBCDIC                         CXL +
::Recode       ?     Mapping functions between character sets     GAAS +
::Translit     MdpO  String conversion among many character sets  GENJISCH +

18) Images, Pixmap and Bitmap Manipulation, Drawing and Graphing
----------------------------------------------------------------
Image::
::Colorimetry  cdpO  transform colors between colorspaces         JONO +

19) Mail and Usenet News
------------------------
Mail::
::Field        RdpO  Base class for handling mail header fields   GBARR +
::Header       RdpO  Manipulate mail RFC822 compliant headers     GBARR +

News::
::Scan         cdpO  Gathers and reports newsgroup statistics     GBACON +

21) File Handle, Directory Handle and Input/Output Stream Utilities
-------------------------------------------------------------------
IO::
::STREAMS      cdcO  Methods for System V style STREAMS control   NI-S !
::Scalar       adpO  An I/O handle to read/write a string buffer  ERYQ !
::ScalarArray  adpO  An I/O handle on a ref to array of scalars   ERYQ !

22) Microsoft Windows Modules
-----------------------------
Win32API::
::Console      cdcf  Win32 Console Window functions/consts        TYEMQ +
::File         cdcf  Win32 file/dir functions/constants           TYEMQ +
::Registry     adcf  Win32 Registry functions/constants           TYEMQ +
::WinStruct    cdcf  Routines for Win32 Windowing data structures TYEMQ +
::Window       cdcf  Win32 Windowing functions/constants          TYEMQ +

23) Miscellaneous Modules
-------------------------
Chemistry::
::Elements     RdpO  Working with Chemical Elements               BDFOY +
::Isotopes     idpO  extends Elements to deal with isotopes       BDFOY +

Changes in the users database
-----------------------------
+  ABH      Ask Bjørn Hansen <[email-masked]>
!  ABW      Andy Wardley <[email-masked]>
+  ACH      Achim Bohnet <[email-masked]>
!  ADESC    Alligator Descartes <[email-masked]>
!  BARTS    Bart Schuller <[email-masked]>
+  BDFOY    brian d foy <[email-masked]>
!  BMIDD    William J. Middleton <[email-masked]>
+  BOADLER  Bo Adler <[email-masked]>
+  BSUGARS  Benjamin Sugars <[email-masked]>
!  CBAIL    Charles Bailey <[email-masked]>
+  CHRMASTO Christopher Masto <[email-masked]>
+  CXL      Chris Leach <[email-masked]>
+  DOMO     Dominic Dunlop <[email-masked]>
!  DSUGAL   Dan Sugalski <[email-masked]>
+  FLETCH   Mike Fletcher <[email-masked]>
+  GBACON   Greg Bacon <[email-masked]>
!  GBARR    Graham Barr <[email-masked]>
+  GENJISCH Genji Schmeder <[email-masked]>
+  GTHYNI   Goran Thyni <[email-masked]>
!  HAYASHI  Hiroo HAYASHI <[email-masked]>
+  IKLUFT   Ian Kluft <[email-masked]>
+  JANL     Nicolai Langfeldt <[email-masked]>
+  JCOSTOM  Jason Costomiris <[email-masked]>
!  JGROENVELJohn D Groenveld <[email-masked]>
!  JJDG     Hans de Graaff <[email-masked]>
!  JMURPHY  Joel Murphy <[email-masked]>
+  JNOLAN   John Nolan <[email-masked]>
+  JOSERODR Jose A. Rodriguez <[email-masked]>
+  JVENIER  John Venier <[email-masked]>
+  JWIEGLEY John Wiegley <[email-masked]>
+  KDOWNEY  Kyle Downey <[email-masked]>
+  KMACLEOD Ken MacLeod <[email-masked]>
!  KRISHPL  Krishna Shamu Sethuraman <[email-masked]>
+  KTORP    Kristian Torp <[email-masked]>
+  LMOLNAR  Laszlo Molnar <[email-masked]>
+  MATKIN   Matz Kindahl <[email-masked]>
+  MENGEL   Marc W. Mengel <[email-masked]>
!  MERGL    Edmund Mergl <[email-masked]>
!  MEWP     Michael Peppler <[email-masked]>
+  MIKEKING Michael King <[email-masked]>
+  MPIOTR   Michael Piotrowski <[email-masked]>
+  MSCHWARTZMartin Schwartz <[email-masked]>
+  NMONNET  Nicolas Monnet <[email-masked]>
+  OTAYLOR  Owen Taylor <[email-masked]>
!  OZAWA    OZAWA Sakuro <[email-masked]>
!  RJRAY    Randy J Ray <[email-masked]>
+  RSAVAGE  Ron Savage <[email-masked]>
+  SFARRELL Stephen Farrell <[email-masked]>
+  SHERWOOD Steve Sherwood <[email-masked]>
!  SRIRAM   Sriram Srinivasan <[email-masked]>
+  SZANDER  Stephen Zander <[email-masked]>
+  TSPIN    Tom Spindler <[email-masked]>
!  ULPFR    Ulrich Pfeifer <[email-masked]>

--
andreas